
%define srcname glad2

Name:           python-%{srcname}
Version:        2.0.4
Release:        %mkrel 1
Summary:        Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:          Development/Python
# Mostly MIT, Apache-2.0 for Khronos and EGL specifications/headers.
License:        MIT and Apache-2.0
URL:            https://github.com/Dav1dde/glad
Source0:        usr.tar.gz
Requires: python3-jinja2
Requires: python3-markupsafe

%description
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%package -n     %{srcname}
Summary:        Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:          Development/Python
Requires:       python3-glad2 = %{version}-%{release}

%description -n %{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%package -n     python3-%{srcname}
Summary:        Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:          Development/Python

%description -n python3-%{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot
tar xf %SOURCE0 -C %buildroot

%files -n %{srcname}
%{_bindir}/glad

%files -n python3-%{srcname}
%{_prefix}/lib/python3.10

%changelog
* Mon Nov 27 2023 tex - 2.0.4-1pclos2023
- initial package python-glad2
